# Generated by Django 2.2.9 on 2022-01-19 10:27

from django.db import migrations, models
import django.db.models.deletion
import smartfields.fields
import smartfields.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cat_title', models.CharField(db_index=True, max_length=100)),
                ('cat_slug', models.SlugField(max_length=150, unique=True)),
                ('cat_description', models.TextField()),
                ('cat_image', models.ImageField(upload_to='')),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='UsersRated',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sub_title', models.CharField(db_index=True, max_length=150)),
                ('sub_slug', models.SlugField(max_length=150, unique=True)),
                ('sub_description', models.TextField()),
                ('sub_image', models.ImageField(upload_to='')),
                ('is_active', models.BooleanField(default=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subcategories', to='kisan.Category')),
            ],
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('seller', models.CharField(max_length=50, null=True)),
                ('rate', models.IntegerField(default=0)),
                ('users', models.ManyToManyField(to='kisan.UsersRated')),
            ],
        ),
        migrations.CreateModel(
            name='ProductData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('p_name', models.CharField(db_index=True, max_length=150)),
                ('seller_name', models.CharField(max_length=70, null=True)),
                ('s_username', models.CharField(max_length=70, null=True)),
                ('p_img', smartfields.fields.ImageField(upload_to='pics')),
                ('p_img2', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_img3', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_img4', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_price', models.IntegerField()),
                ('min_q', models.CharField(max_length=10)),
                ('p_desc', models.TextField(null=True)),
                ('tag', models.CharField(max_length=20, null=True)),
                ('created_at', models.DateTimeField(auto_now=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='products', to='kisan.Category')),
                ('subcategory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='products', to='kisan.SubCategory')),
            ],
            bases=(smartfields.models.SmartfieldsModelMixin, models.Model),
        ),
    ]
